Skip to main content
GET
/
api-auth
/
apps
/
{app_slug}
/
keys
List API keys
curl --request GET \
  --url https://api.wacht.dev/api-auth/apps/{app_slug}/keys \
  --header 'Authorization: <api-key>'
{
  "keys": [
    {
      "id": "1234567890123456789",
      "app_slug": "my-app",
      "deployment_id": "1111111111111111111",
      "name": "Production Key",
      "key_prefix": "wacht_prod",
      "key_suffix": "abcd",
      "permissions": [
        "<string>"
      ],
      "org_role_permissions": [
        "<string>"
      ],
      "workspace_role_permissions": [
        "<string>"
      ],
      "owner_user_id": "<string>",
      "organization_id": "<string>",
      "workspace_id": "<string>",
      "organization_membership_id": "<string>",
      "workspace_membership_id": "<string>",
      "metadata": {},
      "expires_at": "2023-11-07T05:31:56Z",
      "last_used_at": "2023-11-07T05:31:56Z",
      "is_active": true,
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "revoked_reason": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

app_name
string
required

API Auth app name

Query Parameters

include_inactive
boolean

Include inactive keys

Response

API keys

keys
object[]
required